typedef unsigned char bool;
#define true 1
#define false 0


void setLED(unsigned char status)
{
	if(status == 0)
		PORTA &=~0x02;
	else if (status == 1)
		PORTA |= 0x02;
	else
		PORTA ^= 0x02;
}

void setServo(unsigned char pos)
{
	OCR0A = pos;
}

void set_interrupts(unsigned char neighbor)
{
	GIMSK  &=~0b00110000; //Disable on MSK1-0

	PCMSK1 &=~0b00000011; //8-down and 9-left (looking out through the wall)
	PCMSK0 &=~0b00001100; //2-right and 3-up

	if(neighbor == 0)
		PCMSK0 |= 0b00001000; //3-up
	else if(neighbor == 1)
		PCMSK1 |= 0b00000010; //9-left (looking out through the wall)
	else if(neighbor == 2)	  
		PCMSK1 |= 0b00000001; //8-down
	else if(neighbor == 3)
		PCMSK0 |= 0b00000100; //2-right

	GIMSK  |= 0b00110000; //Enable on MSK1-0
}

void setIR(unsigned char ir)
{
	OCR0B = ir;
}

void init_signal(void)
{
	for(char temp = 0; temp<=5; temp++)
	{
		setLED(2);
		for(volatile unsigned int i=0; i<=65000; i++);
	}
}
